JcaSignerInfoVerifierBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms.jcajce

## Class JcaSignerInfoVerifierBuilder

- java.lang.Object
- - org.bouncycastle.cms.jcajce.JcaSignerInfoVerifierBuilder

-     public class JcaSignerInfoVerifierBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaSignerInfoVerifierBuilder(DigestCalculatorProvider digestProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignerInformationVerifier` | `build(java.security.PublicKey pubKey)`
    `SignerInformationVerifier` | `build(java.security.cert.X509Certificate certificate)`
    `SignerInformationVerifier` | `build(X509CertificateHolder certHolder)`
    `JcaSignerInfoVerifierBuilder` | `setProvider(java.security.Provider provider)`
    `JcaSignerInfoVerifierBuilder` | `setProvider(java.lang.String providerName)`
    `JcaSignerInfoVerifierBuilder` | `setSignatureAlgorithmFinder(SignatureAlgorithmIdentifierFinder sigAlgIDFinder)`
    `JcaSignerInfoVerifierBuilder` | `setSignatureAlgorithmNameGenerator(CMSSignatureAlgorithmNameGenerator sigAlgNameGen)` Override the default signature algorithm name generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaSignerInfoVerifierBuilder

          public JcaSignerInfoVerifierBuilder(DigestCalculatorProvider digestProvider)

  - ### Method Detail

    - #### setProvider

          public JcaSignerInfoVerifierBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcaSignerInfoVerifierBuilder setProvider(java.lang.String providerName)

    - #### setSignatureAlgorithmNameGenerator

          public JcaSignerInfoVerifierBuilder setSignatureAlgorithmNameGenerator(CMSSignatureAlgorithmNameGenerator sigAlgNameGen)

      Override the default signature algorithm name generator.
      Parameters:
        `sigAlgNameGen` - the algorithm name generator to use.
      Returns:
        the current builder.

    - #### setSignatureAlgorithmFinder

          public JcaSignerInfoVerifierBuilder setSignatureAlgorithmFinder(SignatureAlgorithmIdentifierFinder sigAlgIDFinder)

    - #### build

          public SignerInformationVerifier build(X509CertificateHolder certHolder)
                                          throws OperatorCreationException,
                                                 java.security.cert.CertificateException

      Throws:
        `OperatorCreationException`
        `java.security.cert.CertificateException`

    - #### build

          public SignerInformationVerifier build(java.security.cert.X509Certificate certificate)
                                          throws OperatorCreationException

      Throws:
        `OperatorCreationException`

    - #### build

          public SignerInformationVerifier build(java.security.PublicKey pubKey)
                                          throws OperatorCreationException

      Throws:
        `OperatorCreationException`